Permalink
Browse files

change to 1.8 stuff

  • Loading branch information...
1 parent 2d10e89 commit 216a75278822af02f529ff503018b56e054526c3 @drapergeek drapergeek committed Jun 23, 2012
Showing with 50 additions and 42 deletions.
  1. +2 −2 Gemfile
  2. +47 −38 Gemfile.lock
  3. +1 −1 config/boot.rb
  4. +0 −1 config/environment.rb
View
@@ -13,11 +13,11 @@ gem "mail"
gem 'comma'
gem 'capistrano'
+gem 'fastercsv'
group :development, :test do
gem "sqlite3", :platform => [:ruby, :mswin, :mingw]
gem "capybara"
- gem 'factory_girl'
- gem 'factory_girl_rails'
+ gem 'factory_girl_rails', '1.7.0'
gem "guard-rspec"
gem "launchy"
gem "capybara-webkit"
View
@@ -45,7 +45,7 @@ GEM
rack-test (>= 0.5.4)
selenium-webdriver (~> 2.0)
xpath (~> 0.1.4)
- capybara-webkit (0.11.0)
+ capybara-webkit (0.12.1)
capybara (>= 1.0.0, < 1.2)
json
childprocess (0.3.2)
@@ -56,73 +56,78 @@ GEM
coffee-script (2.2.0)
coffee-script-source
execjs
- coffee-script-source (1.3.1)
+ coffee-script-source (1.3.3)
comma (3.0.3)
commonjs (0.2.6)
- cucumber (1.2.0)
+ cucumber (1.2.1)
builder (>= 2.1.2)
diff-lcs (>= 1.1.3)
- gherkin (~> 2.10.0)
+ gherkin (~> 2.11.0)
json (>= 1.4.6)
cucumber-rails (1.3.0)
capybara (>= 1.1.2)
cucumber (>= 1.1.8)
nokogiri (>= 1.5.0)
- database_cleaner (0.7.2)
- devise (2.0.4)
+ database_cleaner (0.8.0)
+ devise (2.1.2)
bcrypt-ruby (~> 3.0)
- orm_adapter (~> 0.0.3)
+ orm_adapter (~> 0.1)
railties (~> 3.1)
- warden (~> 1.1.1)
+ warden (~> 1.2.1)
diff-lcs (1.1.3)
erubis (2.7.0)
- execjs (1.3.2)
+ execjs (1.4.0)
multi_json (~> 1.0)
- factory_girl (3.2.0)
- activesupport (>= 3.0.0)
- factory_girl_rails (3.2.0)
- factory_girl (~> 3.2.0)
+ factory_girl (2.6.4)
+ activesupport (>= 2.3.9)
+ factory_girl_rails (1.7.0)
+ factory_girl (~> 2.6.0)
railties (>= 3.0.0)
+ fastercsv (1.5.5)
ffi (1.0.11)
forgery (0.5.0)
- gherkin (2.10.0)
+ gherkin (2.11.0)
json (>= 1.4.6)
- guard (1.0.2)
- ffi (>= 0.5.0)
- thor (~> 0.14.6)
- guard-rspec (0.7.0)
- guard (>= 0.10.0)
+ guard (1.2.1)
+ listen (>= 0.4.2)
+ thor (>= 0.14.6)
+ guard-rspec (1.1.0)
+ guard (>= 1.1)
hashie (1.2.0)
highline (1.6.13)
hike (1.2.1)
i18n (0.6.0)
- journey (1.0.3)
+ journey (1.0.4)
jquery-rails (2.0.2)
railties (>= 3.2.0, < 5.0)
thor (~> 0.14)
- jquery-ui-rails (0.4.0)
+ jquery-ui-rails (1.0.0)
jquery-rails
railties (>= 3.1.0)
- json (1.7.1)
+ json (1.7.3)
launchy (2.1.0)
addressable (~> 2.2.6)
less (2.2.1)
commonjs (~> 0.2.6)
- less-rails (2.2.2)
+ less-rails (2.2.3)
actionpack (>= 3.1)
less (~> 2.2.0)
libv8 (3.3.10.4)
libwebsocket (0.1.3)
addressable
+ listen (0.4.6)
+ rb-fchange (~> 0.0.5)
+ rb-fsevent (~> 0.9.1)
+ rb-inotify (~> 0.8.8)
mail (2.4.4)
i18n (>= 0.4.0)
mime-types (~> 1.16)
treetop (~> 1.4.8)
metaclass (0.0.1)
- mime-types (1.18)
+ mime-types (1.19)
mocha (0.11.4)
metaclass (~> 0.0.1)
- multi_json (1.3.4)
+ multi_json (1.3.6)
mysql2 (0.3.11)
net-scp (1.0.4)
net-ssh (>= 1.99.1)
@@ -131,15 +136,15 @@ GEM
net-ssh (2.5.2)
net-ssh-gateway (1.1.0)
net-ssh (>= 1.99.1)
- nokogiri (1.5.2)
+ nokogiri (1.5.4)
omniauth (1.1.0)
hashie (~> 1.2)
rack
omniauth-cas (0.0.7)
addressable (~> 2.2)
nokogiri (~> 1.5)
omniauth (~> 1.1.0)
- orm_adapter (0.0.7)
+ orm_adapter (0.3.0)
polyglot (0.3.3)
rack (1.4.1)
rack-cache (1.2)
@@ -164,13 +169,18 @@ GEM
rdoc (~> 3.4)
thor (~> 0.14.6)
rake (0.9.2.2)
+ rb-fchange (0.0.5)
+ ffi
+ rb-fsevent (0.9.1)
+ rb-inotify (0.8.8)
+ ffi (>= 0.5.0)
rdoc (3.12)
json (~> 1.4)
rspec (2.10.0)
rspec-core (~> 2.10.0)
rspec-expectations (~> 2.10.0)
rspec-mocks (~> 2.10.0)
- rspec-core (2.10.0)
+ rspec-core (2.10.1)
rspec-expectations (2.10.0)
diff-lcs (~> 1.1.3)
rspec-mocks (2.10.1)
@@ -179,15 +189,14 @@ GEM
activesupport (>= 3.0)
railties (>= 3.0)
rspec (~> 2.10.0)
- rubyzip (0.9.8)
- sass (3.1.17)
+ rubyzip (0.9.9)
+ sass (3.1.19)
sass-rails (3.2.5)
railties (~> 3.2.0)
sass (>= 3.1.10)
tilt (~> 1.3)
- selenium-webdriver (2.21.2)
+ selenium-webdriver (2.24.0)
childprocess (>= 0.2.5)
- ffi (~> 1.0)
libwebsocket (~> 0.1.3)
multi_json (~> 1.0)
rubyzip
@@ -206,16 +215,16 @@ GEM
treetop (1.4.10)
polyglot
polyglot (>= 0.3.1)
- twitter-bootstrap-rails (2.0.7)
+ twitter-bootstrap-rails (2.1.0)
actionpack (>= 3.1)
less-rails (~> 2.2.2)
railties (>= 3.1)
therubyracer (~> 0.10.1)
tzinfo (0.3.33)
- uglifier (1.2.4)
+ uglifier (1.2.5)
execjs (>= 0.3.0)
- multi_json (>= 1.0.2)
- warden (1.1.1)
+ multi_json (~> 1.3)
+ warden (1.2.1)
rack (>= 1.0)
will_paginate (3.0.3)
xpath (0.1.4)
@@ -233,8 +242,8 @@ DEPENDENCIES
cucumber-rails
database_cleaner
devise
- factory_girl
- factory_girl_rails
+ factory_girl_rails (= 1.7.0)
+ fastercsv
forgery (= 0.5.0)
guard-rspec
jquery-rails
View
@@ -1,6 +1,6 @@
require 'rubygems'
require 'yaml'
-YAML::ENGINE.yamler = 'syck'
+YAML::ENGINE.yamler= 'syck' if defined?(YAML::ENGINE)
# Set up gems listed in the Gemfile.
View
@@ -3,7 +3,6 @@
#load the email interceptor
require "development_mail_interceptor"
-YAML::ENGINE.yamler= 'syck' if defined?(YAML::ENGINE)
# Initialize the rails application
Findit::Application.initialize!

0 comments on commit 216a752

Please sign in to comment.